# linux-elf/x86_64: cpu: x86_64 in 64 bit mode os:linux-ELF options: +commonSymbol
#
#------------------ start of linux/x86_64 ---------------------
#
# $Header: /cvs/stx/stx/configurations/linux-elf/x86_64/defines,v 1.18 2016-08-29 08:52:44 stefan Exp $

include $(MAKELIB_DIR)/config-linux.make

CONF=config-linux-x86_64

COMMONSYMBOLS=+commonSymbols
SAVECOMMONSYMBOLS=+saveCommonSymbols
STCARCHOPT=+sharedLibCode -staticMethods $(COMMONSTCCONFOPT)
STC_LEXLIB=-lfl

CPU_INTERN_H=cpu_x86_64.h

DEFS=-D__x86_64__
CCCONFOPT=-m64 -fPIC

DLDEFS=-DHAS_DLOPEN

NOSTDLIB=

LDFLAGS=-Llib -L/usr/local/lib -L/usr/X11/lib \
	-Wl,-z,now,-Bsymbolic,-rpath,'$$ORIGIN',-rpath,'$$ORIGIN/lib',-rpath,'$$ORIGIN/../lib'
EXTRA_SHARED_LIBS=-ldl

#OPTIONAL_DL_LIB=-ldl
#OPTIONAL_LIBDL_TARGET=libdld

TARGET_RULE_EXTENSION=_shared
O_EXT=.so
# name of object files in binary directory
BIN_O=.so

# We have problems with FFI as of 2008-12-01
# Remove the follwoing lines when the problems have been fixed
FFI_OBJS=
OPTIONAL_HAVE_FFI_ARG=
OPTIONAL_FFI_TARGET_IN_LIBRUN=
# END FFI kludge

# LIBJPEG=$(LIBJPEG_DIR)/libjpeg.a
# LIBJPEG_FOR_COPY=$(LIBJPEG_DIR)/libjpeg.a
# LIBJPEG_FOR_LINK=$(LIBJPEG_DIR)/libjpeg.a


# a netsnmp library
#
# if already in /usr/lib:
# DYNAMIC_LINK_LIB_NETSNMP=-lnetsnmp
# STATIC_LINK_LIB_NETSNMP=
# TARGET_LIB_NETSNMP=
#
# if a local one should be built and used (for 64bit, no -lrt is needed):
DYNAMIC_LINK_LIB_NETSNMP=-L$(NETSNMP_LIBDIR)/.libs -L$(NETSNMP_LIBDIR) $(NETSNMP_LIBDIR)/.libs/libnetsnmp.a


MATRIXLOCK_DIR=$(TOP)/../exept/setup/ml
MATRIXLOCK_LIB_ARG=-L$(MATRIXLOCK_DIR)/lib -lmxlin64260
MATRIXLOCK_SHARED_LIB_ARG=-lusb

#.SUFFIXES: .o .so

#.o.so:
#	@-rm -f $*.so
#	$(LD) -shared $(LDFLAGS) -o $*.so $*.o $(LOCAL_SHARED_LIBS)

#------------------ end of linux-elf/x86_64 ---------------------
O_RULE=__STANDARD_O_RULE__
EXTRA_LIBS=-ldl -lX11 -lXext
MAKE_ZLIB_ARG= "CFLAGS=-fPIC -O3 -DUSE_MMAP"
FFI_OBJS=$(FFI_DIR)/build/src/*.o $(FFI_DIR)/build/src/x86/*.o
FFI_DIR=libffi-3.0.10rc8
OPTIONAL_HAVE_FFI_ARG=-DHAVE_FFI -I$(TOP)/librun/$(FFI_DIR)/build/include
OPTIONAL_FFI_TARGET_IN_LIBRUN=ffi
FFI_CC="$(CC) -m64 -fPIC"
FFI_LD="ld -m elf_x84_64"
